wake-up-neo.com

Android SDK-Fehler beim Laden des SDK:

enter image description here

Wie soll ich dieses Problem lösen?

43
amine life

Löschen (Deinstallieren) des Pakets Android Wear ARM EABI v7a-Systemabbild, das unter Android 5.1.1 (API 22) verfügbar ist, löst dieses Problem. 

Für Details siehe diesen Link - Fehler beim Laden der SDK beim Starten von Eclipse

54
Amrit Pal Singh

Ich hatte die gleiche Fehlermeldung, aber eine der vorgeschlagenen Lösungen bestand darin, meine Anwendung für API level 19 zu definieren. Das war wirklich keine Option für mich, also bestand meine Lösung darin, die Pakete zu löschen aus dem API 22:

  • Android Wear ARM EABI v7a-Systemabbild
  • Android Wear Intel x86-Atom-Systemabbild

enter image description here

34
Elenasys

Ich hatte gerade das gleiche Problem, als ich versuchte, das Android SDK für libgdx zu installieren. Ich löste es, indem ich jedes Paket aus "Android 5.1.1 (API 22)" im Android SDK Manager löschte, außer für Dokumentation für Android SDK, SDK-Plattform, Beispiele für SDK, ARM EABI v7a-Systemabbild, Google API's und Quellen für Android SDK.

enter image description here

Dies hat den Fehler für mich behoben. Ich denke, es war ein Problem mit den anderen Paketen. Ich hoffe das hilft :)

/EDIT: Dies führt leider auch dazu, dass libgdx meine API22-Version nicht erkennt. Ich weiß nicht genau warum, denn es wird in den Android-Einstellungen von Eclipse erfolgreich angezeigt. : / Wenn also jemand eine richtige Lösung hat, würde mich das interessieren ^^

4
The_Blog

Ich habe den Fehler durch Kommentieren des all <d:skin /> -Elements in zwei Dateien behoben:

  • C:\Benutzer\"Benutzername"\AppData\Local\Android\Android-SDK\System-Images\Android-22\Android-Wear\x86\devices.xml
  • C:\Benutzer\"Benutzername"\AppData\Local\Android\Android-SDK\System-Images\Android-22\Android-Wear\armeabi-v7a\devices.xml

so was

<!--<d:skin>AndroidWearSquare</d:skin>-->
4
Puliyo

Für mich bestand die Lösung darin, Android Wear Intel x86 Atom System Image (unter Android 5.1.1 (API 22)) zu löschen.

Mein Emulator startet aber trotzdem nicht! Bring auf Android Studio ...

0

Ich konnte den Fehler beseitigen, indem ich beide Verschleißbilder aus dem API 22-Paket im SDK-Manager deinstalliere.

0
Prabhakar

Anscheinend haben alle neuesten Android Wear- und TV-Emulatoren dieses Problem. Nur alle zu löschen löste dieses Problem für mich. Gehen Sie alle im SDK-Manager durch und löschen Sie alle - sollte helfen. Falls Sie Wear- und TV-Emulatoren benötigen, scheint es jetzt einen anderen Weg zu geben als Android Studio für die Entwicklung. So ist das Leben.

0
Serj.by